%define modname firebird
%define dirname interbase
%define soname interbase.so
%define inifile 42_%{modname}.ini
%define php_version %{version} 

Summary:	Firebird database module for PHP
Name:		php-%{modname}
Epoch:		3
Version:	5.3.19
Release:	%mkrel 1
Group:		Development/PHP
URL:		http://www.php.net
License:	PHP
Source0:	%{modname}.ini
BuildRequires:	php-devel >= %{epoch}:%{php_version} 
BuildRequires:	firebird-devel
Provides:	php-interbase = %{version}-%{release}


%description
This is a dynamic shared object (DSO) for PHP that will add Firebird
database support.

%prep

%setup -c -T
cp -dpR %{_usrsrc}/php-devel/extensions/%{dirname}/* .

%build
%serverbuild

phpize
%configure2_5x \
	--with-libdir=%{_lib} \
	--with-interbase=%{_libdir}/firebird

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -D -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/%{soname}
install -D -m0644 %{SOURCE0} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog

* Sat Nov 24 2012 oden <oden> 3:5.3.19-1.mga2
+ Revision: 321542
- 5.3.19

  + luigiwalser <luigiwalser>
    - httpd restart is handled by filetriggers now

* Tue Jan 17 2012 philippem <philippem> 3:5.3.9-1.mga2
+ Revision: 197279
- Update to 5.3.9

* Wed Dec 21 2011 spuhler <spuhler> 3:5.3.8-2.mga2
+ Revision: 185195
- rebuild against php-5.3.9

* Tue Sep 27 2011 philippem <philippem> 3:5.3.8-1.mga2
+ Revision: 149412
- new version 5.3.8 ( sync with mandriva )

* Mon Apr 18 2011 philippem <philippem> 3:5.3.6-1.mga1
+ Revision: 87721
- rebuilt for php-5.3.6

* Sun Jan 16 2011 spuhler <spuhler> 3:5.3.4-1.mga1
+ Revision: 19906
- removed buildroot definition from .spec

  + philippem <philippem>
    - imported package php-firebird

